<?php

namespace App\ViewModels\Agendamento\AgendamentoRegistrationViewModel;

use App\Utils\Entity;

class AgendamentoRegistrationViewModel extends Entity {
	protected $id_agenda;
	protected $id_cliente;
	protected $id_pet;
	protected $id_paciente;
	protected $id_requisicao;
	protected $id_procedimento;
	protected $adicionado_por;

	public static function builder(): AgendamentoRegistrationViewModelBuilder {

		return new AgendamentoRegistrationViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdPet() {

		return $this->id_pet;

	}

	public function getIdAgenda(): int {

		return $this->id_agenda;

	}

	public function getIdCliente(): int {

		return $this->id_cliente;

	}

	public function getIdPaciente(): int {

		return $this->id_paciente;

	}

	public function getIdRequisicao(): int {

		return $this->id_requisicao;

	}

	public function getIdProcedimento(): int {

		return $this->id_procedimento;

	}

	public function getAdicionadoPor(): int {

		return $this->adicionado_por;

	}

	public function setIdAgenda(int $id_agenda): void {

		$this->id_agenda = $id_agenda;

	}

	public function setIdCliente(int $id_cliente): void {

		$this->id_cliente = $id_cliente;

	}

	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setIdPet($id_pet): void {

		$this->id_pet = $id_pet;

	}

	public function setIdPaciente(int $id_paciente): void {

		$this->id_paciente = $id_paciente;

	}

	public function setIdRequisicao(int $id_requisicao): void {

		$this->id_requisicao = $id_requisicao;

	}

	public function setIdProcedimento(int $id_procedimento): void {

		$this->id_procedimento = $id_procedimento;

	}

	public function setAdicionadoPor(int $adicionado_por): void {

		$this->adicionado_por = $adicionado_por;

	}

}